Ubuntu

Disabling the suspend and hibernate locks via gconf-editor doesn't do anything (from Intrepid to Oneiric included)

Reported by Paul Weiss on 2008-08-06
410
This bug affects 85 people
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
Undecided
Unassigned
Session Menu
Wishlist
Unassigned
gnome-power-manager (Ubuntu)
Medium
Unassigned
Declined for Karmic by Sebastien Bacher
Nominated for Lucid by Sathya
indicator-session (Ubuntu)
Low
Unassigned
Declined for Karmic by Sebastien Bacher
Nominated for Lucid by Sathya

Bug Description

These steps once worked in Ubuntu:

- open terminal
- type: sudo gconf-editor
- navigate to /apps/gnome-power-manager/locks
- disable lock_on_hibernate
- disable lock_on_suspend

Even with these two locks disabled, I still get asked for my password when I resume from suspend.

It's so annoying to enter your password each time you resume from suspend and hibernate... (especially if you had to enter a password to setup the system-wide disk encryption a few seconds before).

work around: hibernate/suspend by others means. e.g. "ctrl+alt+del" menu or pm-suspend (pm-hibernate) on cli

Sebastien Bacher (seb128) wrote :

that's not a gconf-editor issue, it only change the configuration and is not responsive for how other softwares are doing

Changed in gconf-editor:
importance: Undecided → Low
Paul Weiss (interweiss) wrote :

Is it a gnome power manager bug then? What should I report it as?

Brian Murray (brian-murray) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Could you please execute the following command 'gconftool --recursive-list /apps/gnome-power-manager > gpm.gconf.values.txt' and attach the resulting file to your bug report? Please also add the output of 'apt-cache policy gnome-power-manager' to your bug report. Thanks in advance.

Changed in gnome-power-manager:
status: New → Incomplete
Paul Weiss (interweiss) wrote :

gnome-power-manager:
  Installed: 2.24.0-0ubuntu3
  Candidate: 2.24.0-0ubuntu3
  Version table:
 *** 2.24.0-0ubuntu3 0
        100 /var/lib/dpkg/status

Paul Weiss (interweiss) wrote :

Disregard the previous attachment, as I didn't properly save the lock removal. I can't even test on this computer if the bug has been fixed because my screen goes black after I resume.

Paul Weiss (interweiss) wrote :

After playing around with my ACPI settings I was able to resume from suspend, and Ubuntu 8.10 beta 1 asked me for my password even though I disabled the lock.

Brian Murray (brian-murray) wrote :

I too have been able to recreate this bug using Intrepid.

Changed in gnome-power-manager:
importance: Low → Medium
milestone: none → ubuntu-8.10
status: Incomplete → Triaged
Steve Beattie (sbeattie) wrote :

This bug was reported in the Intrepid development cycle; removing regression-potential and marking as regression-release.

Scott Howard (showard314) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. You reported this bug a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue for you. Can you try with the latest Ubuntu development release (Karmic)? Thanks in advance.

(setting to incomplete to get feedback regarding Karmic. If it exists we should set it back to triaged).

Changed in gnome-power-manager (Ubuntu):
milestone: ubuntu-8.10 → none
status: Triaged → Incomplete
ThePasha (paulhere) wrote :

Hi! I was able to reproduce the issue in latest Karmic. BTW this bug fix seems essential for HTPC usage of Ubuntu - at the moment it's show stopper.

ThePasha (paulhere) wrote :

Recently made another test with Karmic release + all updates added by November. I tried both 32bit and 64bit distributions just in case... the issue still there. When computer awakes it asking for password and gconf settings don't matter.

mac.ryan (macryan) on 2009-11-17
summary: - Disabling the suspend and hibernate locks via gconf-editor in Intrepid
- Ibex doesn't do anything
+ Disabling the suspend and hibernate locks via gconf-editor doesn't do
+ anything (from Intrepid to Karmic included)

The bug is definitely present in Karmic.

Changed in gnome-power-manager (Ubuntu):
status: Incomplete → Confirmed

Also none of the other methods that can be found on the forums work.
See a collection of methods here: http://superuser.com/questions/71465/how-to-disable-screen-locking-after-sleep-on-ubuntu-9-10 (The first one is BS...)

RichardN (richardn) wrote :

This affects me to (in karmic).

Jason Sarris (jlsarris) wrote :

I'm having the same problem in 9.1

MoarningSun (slowinthedark) wrote :

This problem affected me initially in 9.10, but not anymore. In my case I did:
- open gconf-editor (no sudo / root)
- navigate to /apps/gnome-power-manager/locks
- disable lock_on_hibernate
- disable lock_on_suspend

After this the screen would still get locked after a suspend, so I googled to here:) When I used the suggested command (sudo gconf-editor) I found the 2 boxes were still checked. Apparently the gconf settings are different for different users. Unchecking these 2 boxes again resulted in no screen lock after suspend!

Strangely now only the gconf user setting affects locking, the root setting can be set to 'lock->yes'.. If I kill the gnome-power-manager and restart it as root, the gconf root setting does affects the presence of the screen lock after suspend. So for you it might have something to do with the per user setting, but I don't know if this is the case for everybody:)

MoarningSun (slowinthedark) wrote :

A little update about what I said earlier, the problem stilt isn't gone actually. After a restart there's most of the time still a lock after suspend. It seems to depend on if the wireless is active or not and if the sudo password was used in a terminal before going into suspend. So its not really the suspend that locks the screen but something to with the 'default keyring' or something? I'm only an Ubuntu newbie actually so I'll leave it as is now, I just hope someone can have a look in to this or explain some more what's going on..

I'm suffering from this issue as well. (running 32-bit Ubuntu 9.10) This far I've disabled the screen locking through gconf as both my own user and as root, and I also tried disabling it in /etc/default/acpi-support with no effect.

This problem seems to only occur when suspending using the Indicator-Applet-Session applet, suspending with the Shut Down-applet or by closing the laptop lid works correctly.

MoarningSun (slowinthedark) wrote :

It appears that these problems are indeed not caused by a bug in gnome-power-manager. In my case, the lock only persists when using the Indicator-Applet-Session or Gnome-Do to initiate the suspend. Suspending with the Shut Down-applet or the dedicated sleep key on my notebook follows the gconf settings. The Indicator-Applet-Session completely bypasses the gnome-power-manager according to bug 501252 so it's logical the gconf setting has no effect. I suspect the same applies for Gnome-Do.

Workarounds that have worked for me are:

- disable screen lock altogether in gconf-editor > desktop > gnome > lockdown

- addressing to devicekit-power directly with the command:
dbus-send --print-reply --system --dest=org.freedesktop.DeviceKit.Power /org/freedesktop/DeviceKit/Power org.freedesktop.DeviceKit.Power.Suspend

I've put this last line in a bash script that I can execute quickly with Gnome-Do, so I'm satisfied for the moment.

Altay_H (altayhunter) wrote :

Thanks for the workaround, MoarningSun. It worked for me.

joytek (joytek-hotmail) wrote :

I too have the same problem on my Toshiba M500 running 9.10 with the latest updates ... but in reverse .... I am trying to make the system prompt for a password upon resume. i have tried the gconf-editor method to no avail. Both in sudo and without it makes absolutely what is checked in the editor ... the system still does NOT prompt upon resume. It used to to so, but since the latest updates it no longer does. Also another weird thing is that the suspend button combo (func+F3) does still suspend the machine BUT when I press the power button to resume (like it used to work) the computer resumes with a frozen cursor, and promptly goes back to sleep .... only a complete power down with the battery out solves this cycle. I am an ubuntu n00b so it is quite difficult for me to diagnose all this, but I have tried all suggested methods and so far have had no luck.

ThePasha (paulhere) wrote :

Just did double check of MoarningSun observation results... it's absolutely correct: gnome-power-manager settings work just fine. Once disabled lock not appear when using either timeout suspend or keyboard hotkey. My workaround appears even simpler, I replaced standard applet with old "Power Down..." applet (look like red power button). It rises window with choice of suspend, log off and shut down options. Almost the same but works correctly (at least on my machine).

TheNinja (uss-ninja) wrote :

Thank you MoarningSun,
for pointing out that there are different config files for different users when using gconf-editor. The lock problem was driving me crazy, since I always used 'gksudo gconf-editor'. Thus i think this is a good advice (most of the time):

** Don't use 'gksudo' in combination with 'gconf-editor' **

While it's quite logical to have different config files for different users, it's not that obvious. I guess a lot of unexpected behavior occurred, because the settings of the wrong user were changed.

Paul Weiss (interweiss) wrote :

Hmmm, this bug seems to be fixed in 10.04. I just wish that there was an option in one of the system menu's. You shouldn't have to turn off this option via terminal.

ThePasha (paulhere) on 2010-05-04
Changed in indicator-session (Ubuntu):
status: New → Confirmed
Changed in gnome-power-manager (Ubuntu):
status: Confirmed → Invalid
ThePasha (paulhere) wrote :

Just updated machine to 10.04 release. Indicator applet session still contains this bug. By selecting suspend option you lock your machine regardless of gnome-power-manager settings. MoarningSun workaround still works fine.

Omer Akram (om26er) wrote :

If this problem has been there that long then this may be not a problem of
indicator session as indicator session started with Karmic.

i have also this issue in 10.04. additionally if i disable screensaver and disable shutting down monitor if idle for some time i still get a black screen after some minutes of idleing.
it seems some more powersaving options are totally ignored.

anyhow, i will try later some of this mentioned tests and workarrounds to see if how they influence the behaviour.

description: updated
summary: Disabling the suspend and hibernate locks via gconf-editor doesn't do
- anything (from Intrepid to Karmic included)
+ anything (from Intrepid to lucid included)

Thank you for bringing this bug to our attention. However, a paper cut should be a small usability issue, in the default Ubuntu install, that affects many people and is quick and easy to fix. So this bug can't be addressed as part of this project.

- This is a bug and not a papercut.
For further information about papercuts criteria, please read https://wiki.ubuntu.com/PaperCut.

Don't worry though, this bug has been marked as "Invalid" only in the papercuts project.

Changed in hundredpapercuts:
status: New → Invalid
Ted Gould (ted) on 2010-05-21
Changed in indicator-session:
status: New → Triaged
importance: Undecided → Wishlist
Brian Shaw (perturbedpenguin) wrote :

I can also confirm that this issue still exists in 10.04. So if this has been moved to a separate bug report, as Vish said, where is that other bug report? There is also a related issue that I think is only relevant to 10.04 - there is no way to remove the hibernate or sleep options from the indicator menu! Let me know if I can provide any files or other helpful info, it would be awesome if we could fix this by the 10.10 release eh?

Changed in indicator-session (Ubuntu):
importance: Undecided → Low

Workarounds that have worked for me are:

Open the terminal, and type:

gconftool-2 --type boolean -s /apps/gnome-power-manager/lock/use_screensaver_settings false
gconftool-2 --type boolean -s /apps/gnome-power-manager/lock/hibernate false
gconftool-2 --type boolean -s /apps/gnome-power-manager/lock/suspend false
gconftool-2 --type boolean -s /desktop/gnome/lockdown/disable_lock_screen true

The issue is fixed for me in maverick.

Pett Gon (cnmitunes) wrote :

I'm still suffering this in maverick.

If use 'Indicator Applet Session': Resuming always get locked no matter what changes in gconf-editor > /apps/gnome-power-manager/lock/ were made

If use 'Shut Down...', laptop lid, keyboard's sleep key, etc.: Works as expected following the settings in gconf-editor > /apps/gnome-power-manager/lock/

VS (storvann) wrote :

Yes, I'm also seeing this in Maverick. When using the indicator applet to suspend, the screen gets locked before entering suspend, no matter what settings are set in /apps/gnome-power-manager/lock/. All other means of suspending do as expected.

The only way to stop indicator-applet from locking the screen is to enable /desktop/gnome/lockdown/disable_lock_screen, but that disables the screen lock entirely, which I do not want.

ThePasha (paulhere) wrote :

I confirm the bug still exists in Maverick as described in two posts above. It remains on my test installation after upgrade from 10.04.

Another confirmation of the problem in Maverick.

KeithG (grider-4) wrote :

I also have this same problem in Maverick. The recipe I used is here: http://ubuntuforums.org/showthread.php?t=1466504

I have even tried disabling password for this account from the users menu. I have tried disabling all accounts except one. No matter what, I still get a login dialog box. It is not the same dialog box as the main login dialog. I get 'username' with a blank box. I type it in then this goes away and comes back with 'password' and a blank box. Once I type it in, it all comes back. When I set the user to not require a password, I still get the first dialog box asking for username. then it goes directly to the desktop. This is a public account and I want the machine to suspend when not in use and come back when needed.

If I were to log in with my credentials, I would not want this behavior, but the one login is fine. I am pretty happy that I have been able to get WOL working and suspend almost working. If I can get this bug resolved, I am in business! Well, not just this bug. Also my sound card does not want to come back and I have to issue a "sudo alsa force-reload" in order to get sound back when I resume, but that is probably another bug. And I have a workaround for that one...

Ben Oliver (benoliver999) wrote :

This is also a problem in Natty. Can't get the lock screen to go away. I've tried everything I could find.

ThePasha (paulhere) wrote :

Confirm it is in Natty Beta 2. Don't think it going to change in release. Settings from gconf-editor work fine with power manager itself, however "suspend" option from indicator-session locks computer immediately before placing it to suspend mode. You'll be prompted for password input on awake.

Ben Oliver (benoliver999) wrote :

Turns out I was being a fool and using 'sudo' to open gconf-editor in terminal. I opened the editor without sudo, changed the settings again and hey presto - fixed.

KeithG (grider-4) wrote :

From a clean install of 64 bit Natty, it works as expected. I set the gconf settings so that it does not lock the screen. To make thsi really work, I had to set the gconfedit setting Desktop -> Gnome -> Lockdown disable_lock_screen and now it will not ask for a password if I suspend it from that user profile. Yea!

VS (storvann) wrote :

KeithG: If you set disable_lock_screen, you can not lock the screen when you want to, so that's a bad solution (which has worked all along).

Ole Wolf (ole.wolf) wrote :

On Natty, if I suspend my computer after having disabled the suspend and hibernate locks via gconf-editor as described in the bug description, I'm no longer asked for a password after waking up from suspend. However, on waking up from hibernate, I still have to enter the password.

foobar (gagarin) wrote :

We now put the following file into /etc/polkit-1/localauthority/30-site.d/ch.ethz.phys.desktop.pkla
http://sid.ethz.ch/ch.ethz.phys.desktop.pkla
on the machines, and it works just fine.
(tested on natty)

  • unnamed Edit (1.6 KiB, text/enriched; charset=WINDOWS-1252)

I'm out of the office until 1st August.

On 7 May 2011, at 22:32, KeithG <email address hidden> wrote:

> From a clean install of 64 bit Natty, it works as expected. I set the
> gconf settings so that it does not lock the screen. To make thsi
> really
> work, I had to set the gconfedit setting Desktop -> Gnome -> Lockdown
> disable_lock_screen and now it will not ask for a password if I
> suspend
> it from that user profile. Yea!
>
> --
> You received this bug notification because you are a member of
> Papercutters, which is subscribed to One Hundred Paper Cuts.
> https://bugs.launchpad.net/bugs/255228
>
> Title:
>  Disabling the suspend and hibernate locks via gconf-editor doesn't do
>  anything (from Intrepid to lucid included)
>
> Status in One Hundred Paper Cuts:
>  Invalid
> Status in The Session Menu:
>  Triaged
> Status in “gnome-power-manager” package in Ubuntu:
>  Invalid
> Status in “indicator-session” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  These steps once worked in Ubuntu:
>
>  - open terminal
>  - type: sudo gconf-editor
>  - navigate to /apps/gnome-power-manager/locks
>  - disable lock_on_hibernate
>  - disable lock_on_suspend
>
>  Even with these two locks disabled, I still get asked for my password
>  when I resume from suspend.
>
>  It's so annoying to enter your password each time you resume from
>  suspend and hibernate... (especially if you had to enter a password
> to
>  setup the system-wide disk encryption a few seconds before).
>
>  work around: hibernate/suspend by others means. e.g. "ctrl+alt+del"
>  menu or pm-suspend (pm-hibernate) on cli

Marcus Haslam (marcus-haslam) wrote :

I'm out of the office until 1st August.

On 8 May 2011, at 00:21, Vegar <email address hidden> wrote:

> KeithG: If you set disable_lock_screen, you can not lock the screen
> when
> you want to, so that's a bad solution (which has worked all along).
>
> --
> You received this bug notification because you are a member of
> Papercutters, which is subscribed to One Hundred Paper Cuts.
> https://bugs.launchpad.net/bugs/255228
>
> Title:
>  Disabling the suspend and hibernate locks via gconf-editor doesn't do
>  anything (from Intrepid to lucid included)
>
> Status in One Hundred Paper Cuts:
>  Invalid
> Status in The Session Menu:
>  Triaged
> Status in “gnome-power-manager” package in Ubuntu:
>  Invalid
> Status in “indicator-session” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  These steps once worked in Ubuntu:
>
>  - open terminal
>  - type: sudo gconf-editor
>  - navigate to /apps/gnome-power-manager/locks
>  - disable lock_on_hibernate
>  - disable lock_on_suspend
>
>  Even with these two locks disabled, I still get asked for my password
>  when I resume from suspend.
>
>  It's so annoying to enter your password each time you resume from
>  suspend and hibernate... (especially if you had to enter a password
> to
>  setup the system-wide disk encryption a few seconds before).
>
>  work around: hibernate/suspend by others means. e.g. "ctrl+alt+del"
>  menu or pm-suspend (pm-hibernate) on cli

Marcus Haslam (marcus-haslam) wrote :

I'm out of the office until 1st August.

On 21 Apr 2011, at 18:29, Ben Oliver <email address hidden> wrote:

> Turns out I was being a fool and using 'sudo' to open gconf-editor in
> terminal. I opened the editor without sudo, changed the settings again
> and hey presto - fixed.
>
> --
> You received this bug notification because you are a member of
> Papercutters, which is subscribed to One Hundred Paper Cuts.
> https://bugs.launchpad.net/bugs/255228
>
> Title:
>  Disabling the suspend and hibernate locks via gconf-editor doesn't do
>  anything (from Intrepid to lucid included)
>
> Status in One Hundred Paper Cuts:
>  Invalid
> Status in The Session Menu:
>  Triaged
> Status in “gnome-power-manager” package in Ubuntu:
>  Invalid
> Status in “indicator-session” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  These steps once worked in Ubuntu:
>
>  - open terminal
>  - type: sudo gconf-editor
>  - navigate to /apps/gnome-power-manager/locks
>  - disable lock_on_hibernate
>  - disable lock_on_suspend
>
>  Even with these two locks disabled, I still get asked for my password
>  when I resume from suspend.
>
>  It's so annoying to enter your password each time you resume from
>  suspend and hibernate... (especially if you had to enter a password
> to
>  setup the system-wide disk encryption a few seconds before).
>
>  work around: hibernate/suspend by others means. e.g. "ctrl+alt+del"
>  menu or pm-suspend (pm-hibernate) on cli

Marcus Haslam (marcus-haslam) wrote :

I'm out of the office until 1st August.

On 20 Apr 2011, at 09:35, ThePasha <email address hidden> wrote:

> Confirm it is in Natty Beta 2. Don't think it going to change in
> release. Settings from gconf-editor work fine with power manager
> itself,
> however "suspend" option from indicator-session locks computer
> immediately before placing it to suspend mode. You'll be prompted for
> password input on awake.
>
> --
> You received this bug notification because you are a member of
> Papercutters, which is subscribed to One Hundred Paper Cuts.
> https://bugs.launchpad.net/bugs/255228
>
> Title:
>  Disabling the suspend and hibernate locks via gconf-editor doesn't do
>  anything (from Intrepid to lucid included)
>
> Status in One Hundred Paper Cuts:
>  Invalid
> Status in The Session Menu:
>  Triaged
> Status in “gnome-power-manager” package in Ubuntu:
>  Invalid
> Status in “indicator-session” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  These steps once worked in Ubuntu:
>
>  - open terminal
>  - type: sudo gconf-editor
>  - navigate to /apps/gnome-power-manager/locks
>  - disable lock_on_hibernate
>  - disable lock_on_suspend
>
>  Even with these two locks disabled, I still get asked for my password
>  when I resume from suspend.
>
>  It's so annoying to enter your password each time you resume from
>  suspend and hibernate... (especially if you had to enter a password
> to
>  setup the system-wide disk encryption a few seconds before).
>
>  work around: hibernate/suspend by others means. e.g. "ctrl+alt+del"
>  menu or pm-suspend (pm-hibernate) on cli

Marcus Haslam (marcus-haslam) wrote :

I'm out of the office until 1st August.

On 18 Apr 2011, at 23:06, Ben Oliver <email address hidden> wrote:

> This is also a problem in Natty. Can't get the lock screen to go away.
> I've tried everything I could find.
>
> --
> You received this bug notification because you are a member of
> Papercutters, which is subscribed to One Hundred Paper Cuts.
> https://bugs.launchpad.net/bugs/255228
>
> Title:
>  Disabling the suspend and hibernate locks via gconf-editor doesn't do
>  anything (from Intrepid to lucid included)
>
> Status in One Hundred Paper Cuts:
>  Invalid
> Status in The Session Menu:
>  Triaged
> Status in “gnome-power-manager” package in Ubuntu:
>  Invalid
> Status in “indicator-session” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  These steps once worked in Ubuntu:
>
>  - open terminal
>  - type: sudo gconf-editor
>  - navigate to /apps/gnome-power-manager/locks
>  - disable lock_on_hibernate
>  - disable lock_on_suspend
>
>  Even with these two locks disabled, I still get asked for my password
>  when I resume from suspend.
>
>  It's so annoying to enter your password each time you resume from
>  suspend and hibernate... (especially if you had to enter a password
> to
>  setup the system-wide disk encryption a few seconds before).
>
>  work around: hibernate/suspend by others means. e.g. "ctrl+alt+del"
>  menu or pm-suspend (pm-hibernate) on cli

Still affects Oneiric final.

summary: Disabling the suspend and hibernate locks via gconf-editor doesn't do
- anything (from Intrepid to lucid included)
+ anything (from Intrepid to Oneiric included)
totsubo (jc-imbeault) wrote :

Issue still exists in 11.10

Peter Silva (peter-bsqt) wrote :

fwiw, If you go into /usr/share/polkit-1/actions
vi *power*
and find
<allow_active>yes</allow_active>

and change them all to no...

<allow_active>no</allow_active>

Then your sleep button is disabled. This is incredibly poorly documented. I have no idea what ''allow_inactive'' means, or what any of the stanzas are trying to convey, or why we have 7 languages in those XML files (I could understand 1 or 150, it's the seven I don't get.... what about standard i18n?) apparently there was a GUI in fedora 11 or something, but it got removed, and there we are...

Andrew Somerville (andy16666) wrote :

Hilarious. It looks like it's actually four languages. Neither of the vendor URLs work, and there's not even so much as a comment.

ThePasha (paulhere) wrote :

Impressive! It seems the bug fixed in 12.04. At least when I configure sleep-lock behavior thru system settings menu it works as expected.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers